#ifndef __LE_PROC_H__
#define __LE_PROC_H__

#include "le.h"
#include "encode.h"

extern void ime_buffer_free(IMEBuffer ime_buffer);
extern IMEBufferRec *ime_buffer_malloc();
extern void ime_buffer_free(IMEBuffer ime_buffer);
extern void le_clear_ime_buffer(iml_session_t *s, IMEBuffer ime_buffer);
extern void le_output_ime_buffer (iml_session_t *s, IMEBuffer ime_buffer,
				  IMEKeyEventStruct  *ime_keyevent);
extern void le_switch_engine(iml_session_t *s, int engine_id);
extern void le_update_ime_buffer(iml_session_t *s, UserPreference *pref);
#endif /* __LE_PROC_H__ */
